Bug 1010547 - packaging issues in gridsite-2.0.4-1.el6
packaging issues in gridsite-2.0.4-1.el6
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: gridsite (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 06:41 EDT by Tuomo Soini
Modified: 2014-01-09 20:08 EST (History)
3 users (show)

See Also:
Fixed In Version: gridsite-2.2.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 20:08:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for packaging issues (3.27 KB, patch)
2013-09-21 06:59 EDT, Tuomo Soini
no flags Details | Diff

  None (edit)
Description Tuomo Soini 2013-09-21 06:41:41 EDT
Description of problem:

gridsite package also builds gridsite1.7-compat package which has different version.

Because there is two defintions of %{version} dependencies are wrong.

Two possible ways to fix the issue are:

Make sure %{version} macro is not used anywhere in the spec, you need to use %{compatver} and or %{normalver} in every case where %{version}.

Or better yet: Create new girdsite1.7-compat package which provides old library version.

Current problems are for example with provides and dependencies where:

rpm -q --provides -p gridsite-clients-2.0.4-1.el6.i686.rpm 
gridsite-commands = 1.7.25-1
gridsite-clients = 2.0.4-1.el6
gridsite-clients(x86-32) = 2.0.4-1.el6

Note also that gridsite1.7-compat has:

Release:  %{compatrel} - %{?dist} is missing... you can see results of that on that previous provides where dist tag is missing...
Comment 1 Tuomo Soini 2013-09-21 06:49:41 EDT
If you decide to continue having two library versions in same package I'd also note that one Release: instance is enough - compat doesn't need it's own release number - having two release number makes this package even more error prone - you might end up building same release version of gridsite1.7-compat twice if you forget to update the release tag of sub-pacakge.
Comment 2 Tuomo Soini 2013-09-21 06:59:20 EDT
Created attachment 800890 [details]
Proposed patch for packaging issues
Comment 3 Steve Traylen 2013-09-23 05:34:54 EDT
Hi,
 So I already did something before seeing this bug to correct the issue.

 Which corrects the issues.

 Re:

> gridsite1.7-compat package which has different version.

yes this is intentional.

>you might end up building same release version of gridsite1.7-compat twice if you forget to update the release tag of sub-pacakge.

koji does make this impossible as it won't let you repeat a build
result. As you say you have bump both release numbers
each time.

New packages now in testing. Will leave this open in case of further
comment.
Comment 4 Tuomo Soini 2013-09-23 05:56:20 EDT
(In reply to Steve Traylen from comment #3)

> > gridsite1.7-compat package which has different version.
> 
> yes this is intentional.

Of course this is.

> >you might end up building same release version of gridsite1.7-compat twice if you forget to update the release tag of sub-pacakge.
> 
> koji does make this impossible as it won't let you repeat a build
> result. As you say you have bump both release numbers
> each time.

I know that. But having two Release definitions is totally unnecessary and makes spec over-compliated and more error prone.

> New packages now in testing. Will leave this open in case of further
> comment.

Thank you.
Comment 5 Steve Traylen 2013-09-23 08:47:23 EDT
Indeed next time I touch the packages I'll merge the normalrel and compatrel into one one variable, indeed there is no reason why these would ever need to be increased differently.
Comment 6 Fedora Update System 2013-12-18 07:53:47 EST
gridsite-2.2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gridsite-2.2.0-1.el6
Comment 7 Fedora Update System 2013-12-19 12:10:20 EST
Package gridsite-2.2.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gridsite-2.2.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12417/gridsite-2.2.0-1.el6
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-01-09 20:08:42 EST
gridsite-2.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.